Subject: [extropy-chat] A new low?

From: Dirk Bruere <[email-masked]>
Date: Wed, 16 Mar 2005 21:33:44 +0000

Mike Lorrey:
"...he is hopelessly stuck in aNewtonian mind frame (along with his 
fascist politics)."

google groups "dirk bruere", hits
sci.physics - 10,500
sci.physics.research - 580
alt.sci.physics.new-theories - 537
sci.electronics.design - 4090
sci.chem - 1650

I don't think in a single post of mine in a scientific argument have I ever indulged in such ad hominem. Seems that if Mike can't win the argument he hopes to sway the audience by claiming (falsely) that I'm a 'fascist'.

You are still wrong Mike, even more so now.

-- 
Dirk

The Consensus:-
The political party for the new millenium
http://www.theconsensus.org

_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo/extropy-chat